# ej2-vue-heatmap

The Heat map control is used to visualize a two-dimensional data in which the values are represented in gradient or fixed colors.

![Heat Map](https://ej2.syncfusion.com/products/images/heatmap/readme.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's EULA (https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at https://www.syncfusion.com/sales/products or start a free 30-day trial here (https://www.syncfusion.com/account/manage-trials/start-trials).

> A free community license (https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install Heat map and its dependent packages, use the following command

```sh
npm install @syncfusion/ej2-vue-heatmap
```

## Resources

* [Getting Started](https://ej2.syncfusion.com/vue/documentation/heatmap/getting-started.html?utm_source=npm&utm_campaign=heatmap)
* [View Online Demos](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=heatmap/#/material/heatmap/)
* [Product Page](https://www.syncfusion.com/products/vue/heatmap)

## Supported Frameworks

Heat map component is also offered in following list of frameworks.

1. [Angular](https://github.com/syncfusion/ej2-angular-ui-components/tree/master/components/heatmap?utm_source=npm&utm_campaign=heatmap)
2. [React](https://github.com/syncfusion/ej2-react-ui-components/tree/master/components/heatmap?utm_source=npm&utm_campaign=heatmap)
3. [ASP.NET Core](https://www.syncfusion.com/products/aspnetcore/heatmap)
4. [ASP.NET MVC](https://www.syncfusion.com/products/aspnetmvc/heatmap)
5. [JavaScript (ES5)](https://www.syncfusion.com/products/javascript/heatmap)


## Showcase samples

* Annual Flight Traffic Report ([Live Demo](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=heatmap/#/material/heatmap/large-data.html))

## Key Features

* [**Axis Types**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=heatmap/#/material/heatmap/array-row.html)  - Supports three different types of axes to populate the data, namely Numerical, Categorical,and Datetime.

* [**Axis Feature**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=heatmap/#/material/heatmap/opposed.html)  - Supports inverted axis, opposed position and axis intervals.

* [**Legend**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=heatmap/#/material/heatmap/legend.html) - Supports legend which provides value information for the colors which represents each values in HeatMap.

* [**Data Binding**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=heatmap/#/material/heatmap/cell-json.html) - Supports binding data in JSON and two-dimensional array formats.

* [**Rendering Modes**](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_campaign=heatmap/#/material/heatmap/render-mode.html) - Supports automatic switching between SVG and Canvas rendering modes based on the data source length.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_campaign=heatmap) support system or [Community forum](https://www.syncfusion.com/forums?utm_source=npm&utm_campaign=heatmap).
* New [GitHub issue](https://github.com/syncfusion/ej2-vue-ui-components/issues/new).
* Ask your query in Stack Overflow with tag `syncfusion`, `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2/blob/master/license?utm_source=npm&utm_campaign=heatmap).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/components/heatmap/CHANGELOG.md)

© Copyright 2019 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.